const Main = imports.ui.main;
const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();
const Docking = Me.imports.docking;
const ExtensionSystem = imports.ui.extensionSystem;

//Se declara la variable dockManager que es la encargada de de gestionar el dock
var dockManager;

let _extensionlistenerId;

function init() {
    ExtensionUtils.initTranslations('dashtodock');
}

function enable() {
    /*
     * Listen to enabled extension, if Dash to Dock is on the list or become active,
     * we disable this dock.
     */
    _extensionlistenerId = Main.extensionManager.connect('extension-state-changed',
                                                         conditionallyenabledock);
    conditionallyenabledock();
}

//Destruye dockManager si no es nulo,
function disable() {
    try {
        
        if (dockManager != null) {
            dockManager.destroy();
        }
    } catch(e) {
        log('Failed to destroy dockManager: %s'.format(e.message));
    } finally {
        if (_extensionlistenerId) {
            Main.extensionManager.disconnect(_extensionlistenerId);
            _extensionlistenerId = 0;
        }
    }
    
    
    dockManager = null;
}

//Se establece el dockManager en nulo
function conditionallyenabledock() {
    dockManager = null;
}
